#!/usr/bin/env bash

export image_name=registry:2.8.3
export port=5000
export container_name=docker-registry
export data_dir=/data/docker-registry

function check_container() {
    docker ps -a --filter "name=${container_name}" --format "{{.ID}}"
}

function start_container() {
    docker run -d -e REGISTRY_HTTP_ADDR=0.0.0.0:${port} \
                  --name $container_name \
                  --restart=always \
                  -v ${data_dir}:/var/lib/registry 
                  -p ${port}:5000 \
                  $image_name >/dev/null
}

if [ "$(check_container)" != "" ]; then

  docker rm -f "${container_name}" > /dev/null 2>&1

  echo "[+] [ $container_name ] startup..."
  start_container

else
  start_container
fi

